Commit 3409a40c authored by Yann Leboulanger's avatar Yann Leboulanger

get git version when running configure

parent f2743228
#!/usr/bin/env bash
gajimversion="0.16.10.2"
if [ -d ".hg" ]; then
node=$(hg tip --template "{node}")
hgversion="-${node:0:12}"
else
hgversion=""
fi
echo "define([AC_PACKAGE_VERSION], [${gajimversion}${hgversion}])" > m4/hgversion.m4
AM_ARGS="--add-missing --gnu --copy -Wno-portability"
CONF_ARGS=""
......
AC_INIT([Gajim - A Jabber Instant Messager],
["version-set-in-hgversion"],[http://trac.gajim.org/],[gajim])
m4_esyscmd_s([python -c "import os;os.chdir('src');from common import defs; print defs.version"]),[https://dev.gajim.org/gajim/gajim],[gajim])
AC_PREREQ([2.59])
AC_CONFIG_HEADER(config.h)
......
......@@ -47,8 +47,3 @@ AC_DEFUN([AS_AC_EXPAND],
prefix=$prefix_save
exec_prefix=$exec_prefix_save
])
# Fix autoconf: They don't allow shell variables in AC_INIT
# So we have to define them via m4 to be accepted....
m4_include(m4/hgversion.m4)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment